geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevan Miller (JIRA)" <...@geronimo.apache.org>
Subject [jira] Commented: (GERONIMO-1639) Setup old version of CORBA specs
Date Sat, 25 Feb 2006 20:06:55 GMT
    [ http://issues.apache.org/jira/browse/GERONIMO-1639?page=comments#action_12367776 ] 

Kevan Miller commented on GERONIMO-1639:
----------------------------------------

As mentioned in my previous note, the NPE's weren't fixed. The problem was the uber-jar still
contained the bad corba spec classes. This overrides any children with dependencies on the
corba jar which you just created.

I've worked around by adding your corba jar as a dependency in specs/rmi-naming. I think the
following need to occur:

1) the bad corba spec jars/classes should be removed from specs 1.1. Probably best to create
a specs/branches/1_1. That way 1.1 will be clean. You can start using specs/trunk (1.2) for
the new corba spec classes.
2) we should consider cleaning up the geronimo-j2ee_1.4_spec dependencies in our configs.
I was surprised to find them there... I'd need a little feedback from others, before starting
on that, however... 

> Setup old version of CORBA specs
> --------------------------------
>
>          Key: GERONIMO-1639
>          URL: http://issues.apache.org/jira/browse/GERONIMO-1639
>      Project: Geronimo
>         Type: Bug
>   Components: CORBA
>     Versions: 1.0, 1.0.1, 1.1, 1.x
>     Reporter: Alan Cabrera
>     Assignee: Kevan Miller
>      Fix For: 1.1, 1.x

>
> Setup old version of CORBA specs for temporary use until the new CORBA specs can pass
the TCK.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message